<?php

namespace plugin\cms\controller\api;

use plugin\cms\model\CmsThumb;
use think\admin\Controller;

/**
 * 点赞城市
 */
class Thumb extends Controller
{
    public function index()
    {
        $thumbList = CmsThumb::mk()->scope('published')->paginate();
        $this->success('获取点赞城市列表', $thumbList);
    }

    public function info()
    {
        $id = $this->request->get('id');
        $thumb = CmsThumb::mk()->scope('published')->where('id', $id)->find();
        if (empty($thumb)) {
            $this->error('点赞城市不存在');
        }
        $thumb->inc("view_count");
        $thumb->save();
        $this->success('获取点赞城市详情', $thumb);
    }
}