<?php

namespace plugin\ticket\model;

use think\admin\Model;

class TicketInspectionShare extends Model
{
    protected $append = ['type_name', 'imgs_arr'];
    public function getImgsArrAttr($value, $data)
    {
        if (!empty($data['imgs'])) {
            return str2arr($data['imgs'] ?: '', '|');
        } else {
            return [];
        }
    }

    public function type()
    {
        return $this->belongsTo(TicketType::class, 'type_id', 'id');
    }

    public function getTypeNameAttr($value, $data)
    {
        $type = $this->type()->find();
        if (!empty($type)) {
            return $type['name'];
        } else {
            return '未知';
        }
    }

    public function linkedTicket()
    {
        return $this->belongsTo(TicketTicket::class, 'linked_ticket_id', 'id');
    }

}