<?php

namespace plugin\ticket\model;

use plugin\inspection\model\InspectionStaff;
use think\admin\Model;

class TicketRepairAccept extends Model
{
    public function ticket()
    {
        return $this->belongsTo(TicketTicket::class, 'ticket_id');
    }

    public function staff()
    {
        return $this->belongsTo(InspectionStaff::class, 'staff_id');
    }

    public function getImgsArrAttr($value, $data)
    {
        if (!empty($data['imgs'])) {
            return str2arr($data['imgs'] ?: '', '|');
        } else {
            return [];
        }
    }
}