<?php

namespace plugin\inspection\controller\api\auth;

use plugin\inspection\controller\api\Auth;
use plugin\ticket\model\TicketRepair as Model;

class TicketRepair extends Auth
{

    public function list()
    {
        $query = Model::query()->scope(['notFinish'])->with(['ticket'])->where(['staff_id'=>$this->staff->id]);
        $keyword = $this->request->get('keyword', null);
        if ($keyword) {
            $query->where('title', 'like', "%{$keyword}%");
        }
        $pageData = $query->paginate();
        $this->success('获取工单列表', $pageData);
    }

}