<?php

namespace plugin\points_mall\controller;

use plugin\points_mall\model\PointsMallUserPointLog;
use think\admin\Controller;
use think\admin\helper\QueryHelper;

class PointLog extends Controller
{
    /**
     * 积分记录列表
     * 显示积分记录的表格数据，支持按时间范围筛选。
     * @auth true
     * @menu true
     * @return void
     * @throws \think\db\exception\DataNotFoundException
     * @throws \think\db\exception\DbException
     * @throws \think\db\exception\ModelNotFoundException
     */
    public function index()
    {
        $this->title = '积分记录';
        PointsMallUserPointLog::mQuery()->layTable(function () {
        }, static function (QueryHelper $query) {
            $query->with('user');
            $query->dateBetween('create_at');
        });
    }
}