<?php

namespace plugin\points_mall\controller\api\auth;

use plugin\points_mall\controller\api\Auth;
use plugin\points_mall\model\PointsMallUserPointLog;
use plugin\points_mall\service\UserPointService;

class UserPoint extends Auth
{
    public function myPoint() {
        $point = UserPointService::getUserPoint($this->usid);
        $this->success('获取用户积分', [
            'point' => $point
        ]);
    }

    public function myPointLog() {
        $page = PointsMallUserPointLog::mk()->where('uid', $this->usid)->order('create_at desc')->paginate();
        $this->success('获取积分记录', $page);
    }
}