<?php

namespace plugin\ticket\model;

use think\admin\Model;

class TicketCommonReply extends Model
{
    protected $table = 'ticket_common_reply';
    protected $autoWriteTimestamp = true;
    protected $createTime = 'create_at';
    protected $updateTime = 'update_at';

    public function getStatusTextAttr($value, $data)
    {
        return $data['status'] ? '启用' : '禁用';
    }

    public function scopeAvail($query)
    {
        return $query->where('status', '=', 1);
    }
}